SND_CARD_FREE_IN_(9)

NAME
snd_card_free_in_thread - call snd_card_free in thread

SYNOPSIS

int snd_card_free_in_thread (struct snd_card * card);

ARGUMENTS

card
    soundcard structure

DESCRIPTION

This function schedules the call of snd_card_free function in a work queue. When all devices are released (non-busy), the work is woken up and calls snd_card_free.

When a card can be disconnected at any time by hotplug service, this function should be used in disconnect (or detach) callback instead of calling snd_card_free directly.

Returns - zero otherwise a negative error code if the start of thread failed.